Package org.eclipse.net4j.util.io

# Class StreamWrapperChain

java.lang.Object
org.eclipse.net4j.util.io.DelegatingStreamWrapper
org.eclipse.net4j.util.io.StreamWrapperChain

All Implemented Interfaces:
  `IStreamWrapper`

public class StreamWrapperChain extends DelegatingStreamWrapper

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

`IStreamWrapper.Factory`

## Constructor Summary

Constructors
Constructor
Description
`StreamWrapperChain(IStreamWrapper head, IStreamWrapper delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doFinishInputStream(InputStream in)`
`protected void`
`doFinishOutputStream(OutputStream out)`
`protected InputStream`
`doWrapInputStream(InputStream in)`
`protected OutputStream`
`doWrapOutputStream(OutputStream out)`
`IStreamWrapper`
`getHead()`

### Methods inherited from class org.eclipse.net4j.util.io.DelegatingStreamWrapper

`finishInputStream, finishOutputStream, getDelegate, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamWrapperChain

public StreamWrapperChain(IStreamWrapper head, IStreamWrapper delegate)

## Method Details

### getHead

public IStreamWrapper getHead()

### doWrapInputStream

protected InputStream doWrapInputStream(InputStream in) throws IOException

Specified by:
  `doWrapInputStream` in class `DelegatingStreamWrapper`
Throws:
  `IOException`

### doWrapOutputStream

protected OutputStream doWrapOutputStream(OutputStream out) throws IOException

Specified by:
  `doWrapOutputStream` in class `DelegatingStreamWrapper`
Throws:
  `IOException`

### doFinishInputStream

protected void doFinishInputStream(InputStream in) throws IOException

Specified by:
  `doFinishInputStream` in class `DelegatingStreamWrapper`
Throws:
  `IOException`

### doFinishOutputStream

protected void doFinishOutputStream(OutputStream out) throws IOException

Specified by:
  `doFinishOutputStream` in class `DelegatingStreamWrapper`
Throws:
  `IOException`